<?php

/**
 * Email [ MODEL ]
 * Modelo responável por gerenciar os dados do cliente, validar os dados!
 * 
 * @copyright (c) year, Welton Thierree TagPage
 */
class Cliente {

    private $Data;
    private $Cliente;
    private $Error;
    private $Result;

    public function ExeCreate(array $Data) {
        $this->Data = $Data;

        if (in_array('', $this->Data)):
            $this->Error = ["Erro ao cadastrar: Para criar uma empresa, favor preencha todos os campos!", WS_ALERT];
            $this->Result = false;
        elseif (check::Email($this->Data['cliente_email'])):
            $this->Error = ['Erro ao enviar mensagem: O e-mail que você informou não tem um formato válido. Informe seu E-mail!', WS_ALERT];
            $this->Result = false;
        else:
            if ($this->getResult):
                $this->Create();
            endif;
        endif;
    }

    function getResult() {
        return $this->Result;
    }

    function getError() {
        return $this->Error;
    }

    //PRIVATE
    //
    private function Create() {
        $cadastra = new Create;
        $cadastra->ExeCreate("tp_clientes", $this->Data);
        if ($cadastra->getResult()):
            $this->Error = ["Olá <b>{$this->Data['cliente_nome']}</b> foi cadastrado com sucesso no sistema!", WS_ACCEPT];
            $this->Result = $cadastra->getResult();
        endif;
    }

}
